Subject: Re: bug#47854: debbugs-gnu to not bugs tag as fixed when closing

From: Michael Albinus <[email-masked]>
Date: Mon, 19 Apr 2021 16:25:42 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>> The "fixed" tag also includes a version it was supposed to be fixed
>>> in...  which seems slightly useful.
>>
>> The fixed tag has no association with the version number that can be
>> provided when closing a bug. Debbugs tags do not take arguments.
>> The version information is provided by a "Version" pseudoheader.
>
> Oh, sorry -- I was confused about where the version went:
>
>         ((equal message "close")
>          (format "close %d %s\n" bugid version))
>         ((equal message "done")
>          (format "tags %d fixed\nclose %d %s\n" bugid bugid version))
>
> Then I guess we can just make close/done synonyms of each other in
> debbugs-gnu.

Indeed, a "fixed" tag doesn't make sense at all. Instead, there is the
"fixed" attribute, which is set either explictly by the "fixed" command,
or implicitly by the "close" command.

I've changed this in debbugs-gnu.el, pushed to the repository. Shall
appear as debbugs 0.28.

Closing the bug.

Best regards, Michael.